* {
    box-sizing: border-box;
    font-family: 'Courier New';
    color: #05F140;
}

article {
    margin-top: 2%;
    padding: 3%;
    border: solid;
    border-style: dashed;
    border-radius: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 7px 1px #05F140;
    font-size: 150%;
    text-align: center;
}

body, html {
    margin: 0;
    padding: 0;
    background-size: 5% 10%;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

@media (pointer: coarse) {
    header, main {
        font-size: 200%;
    }
}

header {
    margin: 30px 10% 10px 10%;
    padding: 0%, 5%, 0%, 5%;
    border: solid;
    border-radius: 20px;
    border-image-slice: fill;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 7px 1px #05F140;
}

nav {
    text-align: right;
}

main {
    margin: 0% 10% 0% 10%;
    flex: 1;
}

h1, h2 {
    text-align: center;
}

hr {
    height: 2px;
    border: none;
    color: #05F140;
    background-color: #05F140;
    box-shadow: 0px 0px 7px 1px #05F140;
}

input[type="checkbox"] {
    width: auto;
}

.loginBox {
    width: 500px;
    max-width: 100%;
    margin: 40px auto;
    padding: 35px;
    border: solid;
    border-style: dashed;
    border-radius: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 7px 1px #05F140;
}

.form {
    display: flex;
    flex-flow: column;
    width: 100%;
}

.formLabel {
    padding: 0;
}

.formGroup {
    width: 100%;
    margin: 10px 0 20px 0;
    align-items: center;
}

.formInput {
    width: 100%;
    height: 43px;
    border: solid;
    border-color: white;
    border-radius: 10px;
    color: #000;
}

.formButton {
    text-align: center;
    cursor: pointer;
    border: 0;
    background-color: #05F140;
    color: #000000;
    border-radius: 10px;
    height: 42px;
}

.formP {
    margin: 0;
    padding: 20px 0 0 0;
    color: #ffffff;
}

.footerSeperator {
    background-color:black;
    color: black;
    font-size: 50%;
}

.footer {
    background-color:#1A181B;
    display: grid;
    gap: 15px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    padding: 15px;
    text-align: center;
}

@media (max-width: 70rem) {
    .footer {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 40rem) {
    .footer {
        grid-template-columns: 1fr;
    }
}

.footerContent {
    text-align: left;
}

.footerButton {
    text-align: center;
    cursor: pointer;
    border: solid;
    border-radius: 10px;
    background-color:#1A181B;
    height: 42px;
}

.linkCustom {
    color: #05F140;
    font-size: inherit;
    font-style: italic;
}

.accountContainer {
    width: 50%;
    margin: 0 auto;
    border: solid;
    border-radius: 20px;
    padding: 3%;
    align-items: center;
    box-shadow: 0px 0px 7px 1px #05F140;
}

.accountLabel {
    width: 30%;
    text-align: right;
}

.accountData {
    text-align: left;
    font-size: 150%;
}